Name : dhsd
%define version 1.0
Version : %{version}
Release : 1
Group : System Environment/Daemons
Copyright : GPL
URL : http://dhsd.sourceforge.net
Source : http://download.sourceforge.net/dhsd/dhsd-%{version}.tar.gz

BuildRoot : /var/tmp/DHSD

Summary : DHSD is a daemon that updates your dynamic DNS record in DHS.ORG whenever your IP changes.
Summary(tr) : DHSD, DHS.ORG'da bulunan dinamik DNS kaydinizi, IP adresiniz degisitiginde gunceller.

%description
DHSD is a small project spurned off the need for a proper updater for the 
DHS.ORG dynamic DNS services. There has already existed scripts to do it made
in botche bash scripts and lynxs, even some attempts in perl. This program is 
totally developed in C and sits in the background and changes your record when 
the IP changes.

%description -l tr
DHSD, DHS.ORG dinamik DNS servisindenki kaydinizin guncellemesini amaci ile
orataya cikmis kucuk bir proje. Bu isi gerceklestirmek icin bir cok betik
bulabilmek mumkun. Bunlar genellikle bash betikleri ve hatta perl betiklerinden
olusuyor. Bu programa tamami ile C dili kullanilarak gelistirilmekte. Arka
planda calisan program, IP adresiniz degisir degismez, yeni adresinizi, DHS
DNS kayitlarindan yenilmekte.

%prep
%setup

%build
./configure --prefix=$RPM_BUILD_ROOT
make
make check

%install
echo "prefix = $RPM_BUILD_ROOT/usr" >> $RPM_BUILD_DIR/dhsd-%{version}/src/Makefile.am
echo "sysconfdir = $RPM_BUILD_ROOT/etc" >> $RPM_BUILD_DIR/dhsd-%{version}/scripts/Makefile.am

rm -rf $RPM_BUILD_ROOT

make install

mkdir $RPM_BUILD_ROOT/etc/rc.d
mkdir $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir $RPM_BUILD_ROOT/etc/rc.d/rc3.d

cp scripts/dhsd-rh $RPM_BUILD_ROOT/etc/rc.d/init.d/dhsd
ln -s ../init.d/dhsd $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S15dhsd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/sbin/dhsd
/etc/rc.d/init.d/dhsd
/etc/rc.d/rc3.d/S15dhsd
%config
/etc/dhsd.conf

%changelog
* Sat Jul 29 2000 Berk D. Demir <berk@linux.org.tr>
- First release of RPM package for DHSD


